// Initialise the global array that allows the lookup of the depth of a given object
// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
// NOTE: MacroExpansion is used to insert the array initialisation at import time
gml_pragma( "global", "__global_object_depths()");

// insert the generated arrays here
global.__objectDepths[0] = 0; // oWall
global.__objectDepths[1] = 0; // oPlayer
global.__objectDepths[2] = 0; // oArrow
global.__objectDepths[3] = 0; // oPoison
global.__objectDepths[4] = 0; // oApple
global.__objectDepths[5] = 0; // oCoin
global.__objectDepths[6] = 0; // oGold
global.__objectDepths[7] = 0; // oPotion
global.__objectDepths[8] = 0; // oKey
global.__objectDepths[9] = 0; // oDraw
global.__objectDepths[10] = 0; // oLadder
global.__objectDepths[11] = 0; // object11
global.__objectDepths[12] = 0; // oTextBox


global.__objectNames[0] = "oWall";
global.__objectNames[1] = "oPlayer";
global.__objectNames[2] = "oArrow";
global.__objectNames[3] = "oPoison";
global.__objectNames[4] = "oApple";
global.__objectNames[5] = "oCoin";
global.__objectNames[6] = "oGold";
global.__objectNames[7] = "oPotion";
global.__objectNames[8] = "oKey";
global.__objectNames[9] = "oDraw";
global.__objectNames[10] = "oLadder";
global.__objectNames[11] = "object11";
global.__objectNames[12] = "oTextBox";


// create another array that has the correct entries
var len = array_length_1d(global.__objectDepths);
global.__objectID2Depth = [];
for( var i=0; i<len; ++i ) {
	var objID = asset_get_index( global.__objectNames[i] );
	if (objID >= 0) {
		global.__objectID2Depth[ objID ] = global.__objectDepths[i];
	} // end if
} // end for