// Initialise the global array that allows the lookup of the depth of a given object
// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
// NOTE: MacroExpansion is used to insert the array initialisation at import time
gml_pragma( "global", "__global_object_depths()");

// insert the generated arrays here
global.__objectDepths[0] = 0; // o_global
global.__objectDepths[1] = 0; // o_draw
global.__objectDepths[2] = 0; // o_wall
global.__objectDepths[3] = 0; // o_player
global.__objectDepths[4] = 0; // o_arrow
global.__objectDepths[5] = 0; // o_poison
global.__objectDepths[6] = 0; // o_apple
global.__objectDepths[7] = 0; // o_burger
global.__objectDepths[8] = 0; // o_ghost
global.__objectDepths[9] = 0; // o_coin
global.__objectDepths[10] = 0; // o_gold
global.__objectDepths[11] = 0; // o_potion
global.__objectDepths[12] = 0; // o_music
global.__objectDepths[13] = 0; // o_key
global.__objectDepths[14] = 0; // o_lock


global.__objectNames[0] = "o_global";
global.__objectNames[1] = "o_draw";
global.__objectNames[2] = "o_wall";
global.__objectNames[3] = "o_player";
global.__objectNames[4] = "o_arrow";
global.__objectNames[5] = "o_poison";
global.__objectNames[6] = "o_apple";
global.__objectNames[7] = "o_burger";
global.__objectNames[8] = "o_ghost";
global.__objectNames[9] = "o_coin";
global.__objectNames[10] = "o_gold";
global.__objectNames[11] = "o_potion";
global.__objectNames[12] = "o_music";
global.__objectNames[13] = "o_key";
global.__objectNames[14] = "o_lock";


// create another array that has the correct entries
var len = array_length_1d(global.__objectDepths);
global.__objectID2Depth = [];
for( var i=0; i<len; ++i ) {
	var objID = asset_get_index( global.__objectNames[i] );
	if (objID >= 0) {
		global.__objectID2Depth[ objID ] = global.__objectDepths[i];
	} // end if
} // end for